Hello everyone,

I've been testing out all the options on metasploit, but I've come into a problem that I just can't figure out, so I figure I'll see if anyone on here has had a similar issue. When I try to update metasploit thru msfupdate I'm unable to because of my proxy that is setup. I was able to set it up correctly when authenication is turned off by using these parameters

msfupdate -u -p httpIP address):8080

When authenication is on for the proxy I get this:
[*] Calculating local file checksums, please wait...
[*] Proxy: HTTP/1.1 407 Proxy Authentication Required ( The ISA Server requires
authorization to fulfill the request. Access to the Web Proxy service is denied.
)[*] Proxy: Via: 1.1 BIUSPRO1[*] Proxy: Proxy-Authenticate: Negotiate[*] Proxy: Proxy-Authenticate: Kerberos[*] Proxy: Proxy-Authenticate: NTLM[*] Proxy: Connection: close[*] Proxy: Proxy-Connection: close[*] Proxy: Pragma: no-cache[*] Proxy: Cache-Control: no-cache[*] Proxy: Content-Type: text/html[*] Proxy: Content-Length: 720[*] Connection failed

Does anyone know the correct format to authenicate, I've tried the way that you would authenicate to HTTP but that did not work either. Any ideas would be very much appreciated. Thanks